BLOCKDEV(8)

NUME
blockdev - apelează ioctls ale dispozitivului de bloc din linia de comandă

REZUMAT

blockdev [-q] [-v] comanda [comanda...] dispozitiv [dispozitiv...]

blockdev --report [dispozitiv...]

blockdev -h|-V

DESCRIERE

Aplicația blockdev permite apelarea ioctl-urilor dispozitivelor de bloc din linia de comandă.

OPȚIUNI

-q
    Lucrează silențios.

-v
    Oferă informații detaliate la ieșire.

--report
    Afișează un raport pentru dispozitivul specificat. Este posibil să se dea mai multe dispozitive. Dacă nu se indică niciunul, sunt afișate toate dispozitivele care apar în /proc/partitions. Rețineți că valoarea StartSec a unei partiții este dată în sectoare de 512 octeți.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

COMENZI

Este posibil să se dea mai multe dispozitive și mai multe comenzi.

--flushbufs
    Golește memoriile tampon.

--getalignoff
    Obține decalajul de aliniere în octeți.

--getbsz
    Afișează dimensiunea blocului în octeți. Această dimensiune nu descrie topologia dispozitivului. Este dimensiunea utilizată în mod intern de către nucleu și poate fi modificată (de exemplu) de către controlorul sistemului de fișiere la montare.

--getdiscardzeroes
    Obține starea suportului pentru eliminarea zerourilor.

--getdiskseq
    Obține numărul de ordine(serie) al discului.

--getzonesz
    Obține dimensiunea zonei în sectoare de 512 octeți.

--getfra
    Obține citirea în avans „readahead” a sistemului de fișiere în sectoare de 512 octeți.

--getiomin
    Obține dimensiunea minimă de In/Ieș.

--getioopt
    Obține dimensiunea optimă de In/Ieș.

--getmaxsect
    Obține numărul maxim de sectoare pe cerere.

--getpbsz
    Obține dimensiunea blocului fizic (sector).

--getra
    Afișează citirea în avans „readahead” (în sectoare de 512 octeți).

--getro
    Determină prezența protecției numai-pentru-citire. Afișează 1 dacă dispozitivul este numai pentru citire, 0 în caz contrar.

--getsize64
    Afișează dimensiunea dispozitivului în octeți.

--getsize
    Afișează dimensiunea dispozitivului (32 de biți!) în sectoare. Depreciată în favoarea opțiunii --getsz.

--getss
    Afișează dimensiunea sectorului logic în octeți - de obicei 512.

--getsz
    Obține dimensiunea în sectoare de 512 octeți.

--rereadpt
    Recitește tabelul de partiții.

--setbsz octeți
    Stabilește dimensiunea blocurilor. Rețineți că dimensiunea blocului este specifică descriptorului de fișier curent care deschide dispozitivul de bloc, astfel încât modificarea dimensiunii blocului persistă doar atât timp cât blockdev are dispozitivul deschis și se pierde odată ce blockdev iese.

--setfra sectoare
    Configurează citirea în avans „readahead” a sistemului de fișiere (la fel ca --setra pe nucleele 2.6).

--setra sectoare
    Configurează citirea în avans (în sectoare de 512 octeți).

--setro
    Stabilește numai-pentru-citire. Este posibil ca accesul activ în prezent la dispozitiv să nu fie afectat de această modificare. De exemplu, un sistem de fișiere deja montat în modul de citire-scriere nu va fi afectat. Modificarea se aplică după remontare.

--setrw
    Activează pentru citire-scriere.

AUTORI

blockdev a fost scris de Andries E. Brouwer și rescris de Karel Zak.

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda blockdev face parte din pachetul util-linux care poate fi descărcat de la